0
Pending Review

Allow Backwards compatibility

Wayne K 1 year ago updated by Caitlin Barnes (Product Manager) 1 year ago 1

In the cloud version of screen connect, when you issue an upgrade (with new features etc.), Very often, we cannot connect to workstations running an older version of the host session. Please allow newer versions to connect to older versions, so at the very least, we can upgrade the workstation to the newest version. I like that you have a list of those hosts that are older versions, but it does not help us if we cannot connect to do the download of the client software.

Available in Version:

Hi Wayne, 

In most cases, this shouldn't happen. When attempting to use the installed host client, you should be prompted to upgrade. But even if you aren't prompted to upgrade, you should still be able to connect, but you wouldn't be able to access any new features. If you continue to see this problem, please contact Support.